/*
 Bt8xx QuickTime driver component
 Copyright (C) 2002 Andreas Thiede ( a.thiede@berlin.de )

 Based on : 

 macam - webcam app and QuickTime driver component
 Copyright (C) 2002 Matthias Krauss (macam@matthias-krauss.de)

 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef _MISC_TOOLS_
#define _MISC_TOOLS_

#include <Carbon/Carbon.h>
#include <IOKit/IOKitLib.h>
#include <IOKit/IOCFPlugIn.h>
#include <IOKit/usb/IOUSBLib.h>

//String and dump functions
void CStr2PStr(char* cstr, unsigned char* pstr);
void PStr2PStr(unsigned char* src, unsigned char* dst);
void DumpMem(unsigned char* buf, long len);

//Wrappers for thread priorities
void ChangeMyThreadPriority(int delta);
int GetMyThreadPriority(void);

//Pipes info
short CountPipes(IOUSBInterfaceInterface **intf);
void ShowPipeInfo(IOUSBInterfaceInterface **intf, short idx);
void ShowPipesInfo(IOUSBInterfaceInterface **intf);


#endif